%define upstream_name    Params-Classify
%define upstream_version 0.015

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Argument type classification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Params/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel


%{?perl_default_filter}

%description
This module provides various type-testing functions. These are intended for
functions that, unlike most Perl code, care what type of data they are
operating on. For example, some functions wish to behave differently
depending on the type of their arguments (like overloaded functions in
C++).

There are two flavours of function in this module. Functions of the first
flavour only provide type classification, to allow code to discriminate
between argument types. Functions of the second flavour package up the most
common type of type discrimination: checking that an argument is of an
expected type. The functions come in matched pairs, of the two flavours,
and so the type enforcement functions handle only the simplest requirements
for arguments of the types handled by the classification functions.
Enforcement of more complex types may, of course, be built using the
classification functions, or it may be more convenient to use a module
designed for the more complex job, such as the Params::Validate manpage.

This module is implemented in XS, with a pure Perl backup version for
systems that can't handle XS.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build CFLAGS="%{optflags}"

%install
./Build install --destdir=%{buildroot}

%check
./Build test

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorarch/Params
%perl_vendorarch/auto/Params


%changelog
* Wed Aug 03 2022 tv <tv> 0.15.0-11.mga9
+ Revision: 1874736
- Rebuild b/c of "lib/Params/Classify.c: loadable library and perl binaries are mismatched (got first handshake key 0xeb00080, needed 0xeb80080)"

* Tue Aug 02 2022 tv <tv> 0.15.0-10.mga9
+ Revision: 1874695
- Rebuild b/c of "lib/Params/Classify.c: loadable library and perl binaries are mismatched (got first handshake key 0xeb00080, needed 0xeb80080)"

* Thu Mar 17 2022 umeabot <umeabot> 0.15.0-9.mga9
+ Revision: 1796650
- Mageia 9 Mass Rebuild

* Sun Nov 21 2021 wally <wally> 0.15.0-8.mga9
+ Revision: 1758164
- rebuild due to a loadable library and perl binary mismatch (mga#29651)

* Sat Jul 18 2020 tv <tv> 0.15.0-7.mga8
+ Revision: 1606992
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Sun Feb 16 2020 umeabot <umeabot> 0.15.0-6.mga8
+ Revision: 1530989
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 tv <tv> 0.15.0-5.mga8
+ Revision: 1438290
- rebuild for perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.15.0-4.mga7
+ Revision: 1293647
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 0.15.0-3.mga7
+ Revision: 1248571
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.15.0-2.mga7
+ Revision: 1166126
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 guillomovitch <guillomovitch> 0.15.0-1.mga7
+ Revision: 1156044
- new version 0.015

* Sun Jun 19 2016 pterjan <pterjan> 0.13.0-14.mga6
+ Revision: 1031633
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.13.0-13.mga6
+ Revision: 957839
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.13.0-12.mga6
+ Revision: 845067
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.13.0-11.mga6
+ Revision: 841212
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.13.0-10.mga5
+ Revision: 747646
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.13.0-9.mga5
+ Revision: 733213
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.13.0-8.mga5
+ Revision: 685881
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.13.0-7.mga5
+ Revision: 631568
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.13.0-6.mga4
+ Revision: 524423
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.13.0-5.mga4
+ Revision: 430926
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-4.mga3
+ Revision: 371477
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.13.0-3.mga3
+ Revision: 251016
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.13.0-2.mga2
+ Revision: 103827
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.13.0-1.mga1
+ Revision: 22732
- cleaning spec file
- imported package perl-Params-Classify

